summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-devel/remake/remake-3.82.0.4.ebuild')
-rw-r--r--sys-devel/remake/remake-3.82.0.4.ebuild26
1 files changed, 26 insertions, 0 deletions
diff --git a/sys-devel/remake/remake-3.82.0.4.ebuild b/sys-devel/remake/remake-3.82.0.4.ebuild
new file mode 100644
index 00000000000..4c2b68a27e8
--- /dev/null
+++ b/sys-devel/remake/remake-3.82.0.4.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+MY_P="${PN}-${PV:0:4}+dbg-${PV:5}"
+
+DESCRIPTION="patched version of GNU make that adds improved error reporting, tracing, and a debugger"
+HOMEPAGE="http://bashdb.sourceforge.net/remake/"
+SRC_URI="mirror://sourceforge/bashdb/${MY_P}.tar.bz2"
+
+LICENSE="GPL-1"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="readline"
+
+RDEPEND="readline? ( sys-libs/readline )"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+src_install() {
+ emake install DESTDIR="${D}" || die
+ dodoc AUTHORS INSTALL NEWS README
+ # fix collide with the real make's info pages
+ rm -f "${D}"/usr/share/info/make.*
+}